<?php

namespace Litecms\Game\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class GamesTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Game\Models\Games $games)
    {
        return [
            'id'                => $games->getRouteKey(),
            'key'               => [
                'public'    => $games->getPublicKey(),
                'route'     => $games->getRouteKey(),
            ], 
            'game_type'         => $games->game_type,
            'max_bet'           => $games->max_bet,
            'min_bet'           => $games->min_bet,
            'game_name'         => $games->game_name,
            'Status'            => $games->Status,
            'url'               => [
                'public'    => trans_url('game/'.$games->getPublicKey()),
                'user'      => guard_url('game/games/'.$games->getRouteKey()),
            ], 
            'status'            => trans('app.'.$games->status),
            'created_at'        => format_date($games->created_at),
            'updated_at'        => format_date($games->updated_at),
        ];
    }
}